<?php

namespace App\Interfaces;

use Illuminate\Support\Collection;

interface ServiceUsage
{
	/**
	 * Our model that holds traffic information
	 *
	 * @return mixed
	 */
	public function traffic();

	/**
	 * This service provides usage information
	 *
	 * @param int $days
	 * @return Collection
	 */
	public function usage(int $days): Collection;
}